> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create A Note



## OpenAPI

````yaml /openapi.json post /v1/notes
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/notes:
    post:
      tags:
        - Notes
      summary: Create A Note
      operationId: notes.create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateNote'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Note'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    CreateNote:
      type: object
      properties:
        content:
          type: string
        partner:
          type: string
          description: The `Partner` identifier, (e.g. `ptn_abc123`).
      required:
        - content
        - partner
    Note:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        author:
          $ref: '#/components/schemas/User'
        author_id:
          type: string
          maxLength: 32
          description: The ID of the user who created this note.
          nullable: true
        content:
          type: string
          description: The content of the note.
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
          nullable: true
        object:
          type: string
        partner_id:
          type: string
          maxLength: 32
          description: The ID of the partner this note belongs to.
        pinned:
          type: boolean
          description: Whether the note is pinned and will show up first.
      required:
        - content
        - object
        - partner_id
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    ValidationError:
      properties:
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
        message:
          type: string
      type: object
    User:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        created_at:
          type: string
          format: date-time
        dashboard_settings:
          $ref: '#/components/schemas/DashboardSettings'
        default_email_sender_id:
          type: string
          maxLength: 32
          nullable: true
        email:
          type: string
          maxLength: 255
        family_name:
          type: string
        given_name:
          type: string
        invited_by_user_id:
          type: string
          maxLength: 32
          nullable: true
        is_access_approved:
          type: boolean
        is_org_admin:
          type: boolean
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          readOnly: true
        object:
          type: string
        onboarding_required:
          type: boolean
        organization_id:
          type: string
          maxLength: 32
        profile_picture:
          type: string
        selected:
          type: boolean
      required:
        - email
        - family_name
        - given_name
        - object
        - organization_id
    DashboardSettings:
      type: object
      properties:
        thread_emails_sort_order:
          type: string
          default: asc
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````